function mask = headmask(img,prah)
%Funkce pro zisk binární masky hlavy. Vstupem je obraz a globální práh pro
%celý objem stanovený dle Otsu algoritmu. Výstup je binárná maska hlavy.

BW = im2bw(img,prah); %prahování obrazu
[L,num] = bwlabel(BW,4); %označení regionů, testování 4 okolí pixelu
num_mask = 1; %číslo regionu
for i=2:num %nalezení čísla regionu s největším objemem
    if sum(sum(L==i))>sum(sum(L==num_mask))
        num_mask = i;
    end
end
mask = imfill((L==num_mask),'holes'); %výběr regionu a vyplnění děr
end